libgdamm 4.99.3.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# Gnome::Gda::SqlError Class Reference

Inheritance diagram for Gnome::Gda::SqlError:
[legend]
Collaboration diagram for Gnome::Gda::SqlError:
[legend]

List of all members.

## Public Types
enum | Code { SQL_STRUCTURE_CONTENTS_ERROR, SQL_MALFORMED_IDENTIFIER_ERROR, SQL_MISSING_IDENTIFIER_ERROR, SQL_VALIDATION_ERROR }
## Public Member Functions
| SqlError (Code error_code, const Glib::ustring& error_message)
| SqlError (GError* gobject)
Code | code () const

## Member Enumeration Documentation

enum Gnome::Gda::SqlError::Code

Enumerator:

  SQL_STRUCTURE_CONTENTS_ERROR |
  SQL_MALFORMED_IDENTIFIER_ERROR |
  SQL_MISSING_IDENTIFIER_ERROR |
  SQL_VALIDATION_ERROR |

## Constructor & Destructor Documentation

Gnome::Gda::SqlError::SqlError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

Gnome::Gda::SqlError::SqlError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gnome::Gda::SqlError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- libgdamm/sqlbuilder.h